Gecode::DFA::Transitions Class Reference

Iterator for DFA transitions (sorted by symbols). More...

`#include <int.hh>`

## Public Member Functions

| Transitions (const DFA &d)
| Initialize to all transitions of DFA d.
| Transitions (const DFA &d, int n)
| Initialize to transitions of DFA d for symbol n.
bool | operator() (void) const
| Test whether iterator still at a transition.
void | operator++ (void)
| Move iterator to next transition.
int | i_state (void) const
| Return in-state of current transition.
int | symbol (void) const
| Return symbol of current transition.
int | o_state (void) const
| Return out-state of current transition.

## Detailed Description

Iterator for DFA transitions (sorted by symbols).

Definition at line 2069 of file int.hh.

## Constructor & Destructor Documentation

## Transitions() [1/2]

Gecode::DFA::Transitions::Transitions | ( | const DFA & | d | ) |

inline

Initialize to all transitions of DFA d.

Definition at line 213 of file dfa.hpp.

## Transitions() [2/2]

Gecode::DFA::Transitions::Transitions | ( | const DFA & | d,
|  | int | n )

inline

Initialize to transitions of DFA d for symbol n.

Definition at line 224 of file dfa.hpp.

## Member Function Documentation

## operator()()

bool Gecode::DFA::Transitions::operator() | ( | void |  | ) | const

inline

Test whether iterator still at a transition.

Definition at line 239 of file dfa.hpp.

## operator++()

void Gecode::DFA::Transitions::operator++ | ( | void |  | ) |

inline

Move iterator to next transition.

Definition at line 244 of file dfa.hpp.

## i_state()

int Gecode::DFA::Transitions::i_state | ( | void |  | ) | const

inline

Return in-state of current transition.

Definition at line 249 of file dfa.hpp.

## symbol()

int Gecode::DFA::Transitions::symbol | ( | void |  | ) | const

inline

Return symbol of current transition.

Definition at line 254 of file dfa.hpp.

## o_state()

int Gecode::DFA::Transitions::o_state | ( | void |  | ) | const

inline

Return out-state of current transition.

Definition at line 259 of file dfa.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/extensional/dfa.hpp